/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne licenese GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor infotest.c */

#include <unistd.h>
#include <stdlib.h>
#include "struktury.h"
#include "lib.h"

type_informace informace_o_testech(int l, type_uziv * slozka)
{
    type_informace test;

    if (nacti_info(l, &test, jmeno_info_testu())) {
        print_hl(1,
                 "Nelze st informace o testech ! Program nebude pracovat sprvn !");
        test.cislo = l;
        test.zavislost = 0;     /* nelze psat */
        return test;
    }

    /* test.cislo = l; */
    test.napsano = slozka->napsano_test[l - 1];

    /* l je cislo testu <1,MAXTEST> */
    if ((l > 1) && (!slozka->napsano_test[l - 2]))
        test.zavislost = 0;     /* nebyl napsan predchozi test */
    else if (test.zavislost_na == 0)
        test.zavislost = 1;     /* zavislost na lekci neni */
    else if ((test.zavislost_na <= LEKCE) && (test.zavislost_na >= 1))
        test.zavislost = slozka->napsano_lekce[test.zavislost_na - 1];
    else
        test.zavislost = 0;     /* podivna zavislost na lekci */

    if (l == TESTR)
        if ((!test.zavislost_na) ||
            slozka->napsano_lekce[test.zavislost_na - 1])
            test.zavislost = 1;
    return test;
}
